Subject: Re: [RFC] Geographical/regulatory information for ieee80211

From: Larry Finger <[email-masked]>
Date: Fri, 14 Apr 2006 15:01:20 -0500

Jouni Malinen wrote:
> The maximum power would be quite useful--I would say required--part of
> regulatory domain information.. In other words, I would like to see the
> groups created in a way that would take differences in power limits into
> account. Without this, the groups will need to be re-created at some
> point in the future when IEEE 802.11d and IEEE 802.11h would like to use
> the same table.. In addition, flag of specifying indoor/outdoor/both
> would be a nice addition.
> 
> It would be useful to have a text file with all the information in an
> easily parseable format. I would like to be able to add a user space
> tool that uses this file to take care of channel/TX power policies. The
> needed parameters would then be configured for the kernel side 802.11
> whenever needed.

Good idea to include power and indoor etc. flags. I will also include flags to indicate that 
scanning should be passive on a given channel.

Have you any thoughts on the structure of the text file for parsing?

Larry